# __gnu_cxx::throw_allocator_random< _Tp > Struct Template Reference

Allocator throwing via random condition. More...

Inheritance diagram for __gnu_cxx::throw_allocator_random< _Tp >:
[legend]

List of all members.

## Public Types

- typedef const value_type * const_pointer
- typedef const value_type & const_reference
- typedef ptrdiff_t difference_type
- typedef value_type * pointer
- typedef value_type & reference
- typedef size_t size_type
- typedef _Tp value_type

## Public Member Functions

- throw_allocator_random (const throw_allocator_random &) throw ()
- template<typename _Tp1 > throw_allocator_random (const throw_allocator_random< _Tp1 > &) throw ()
- pointer allocate (size_type __n, std::allocator< void >::const_pointer hint=0)
- void check_allocated (pointer __p, size_type __n)
- void check_allocated (size_type __n)
- void check_allocated (void *p, size_t size)
- void check_allocated (size_t label)
- void construct (pointer __p, const value_type &val)
- void construct (pointer __p, _Args &&...__args)
- void deallocate (pointer __p, size_type __n)
- void destroy (pointer __p)
- void erase (void *p, size_t size)
- void insert (void *p, size_t size)
- size_type max_size () const throw ()
- void seed (unsigned long __s)

## Static Public Member Functions

- static size_t get_label ()
- static void set_label (size_t l)
- static void set_probability (double __p)
- static void throw_conditionally ()

## Detailed Description

### template<typename _Tp>
struct __gnu_cxx::throw_allocator_random< _Tp >

Allocator throwing via random condition.

Definition at line 701 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h